View Issue Details

IDProjectCategoryView StatusLast Update
0000170Bacula-Webbugpublic2016-03-21 14:00
Reportermaly_piesAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform PHP 5.5.9-1ubuntu4.OSUbuntu ServerOS Version14.04
Product Version7.0.3 
Target Version7.1.0Fixed in Version7.1.0 
Summary0000170: Warning: Division by zero in jobs.php
DescriptionPHP Warning: Division by zero in /var/www/html/bacula-web/jobs.php on line 233
Additional InformationIf you ever have a job like this:

Start time: 20-Apr-2015 23:05:17
End time: 20-Apr-2015 23:05:17

result of:

    public static function get_ElaspedSeconds($end, $start)
    {
        if (strtotime($start) && strtotime($end)) {
            $seconds = strtotime($end) - strtotime($start);
                 return $seconds;
        } else {
            return false;
        }
    }
will be 0 so in jobs.php line 233 still be warning
TagsNo tags attached.

Activities

davide

2016-01-31 12:48

manager   ~0000497

Last edited: 2016-03-21 14:00

View 2 revisions

The code have been fixed and will be available in next version (7.1.0).

Issue History

Date Modified Username Field Change
2015-04-21 14:10 maly_pies New Issue
2016-01-31 12:32 davide Product Version => 7.0.3
2016-01-31 12:32 davide Target Version => 7.1.0
2016-01-31 12:48 davide Note Added: 0000497
2016-01-31 12:48 davide Status new => resolved
2016-01-31 12:48 davide Fixed in Version => 7.1.0
2016-01-31 12:48 davide Resolution open => fixed
2016-01-31 12:48 davide Assigned To => davide
2016-03-21 14:00 davide Note Edited: 0000497 View Revisions